      SUBROUTINE HELP(JTTY)
C     RENBR(/HELP MESSAGE FOR FNDFIL)/M:9999
C
C     DONALD BARTH, HARVARD BUSINESS SCHOOL
C
C     UPPER CASE LETTERS Y AND N FOR YES AND NO
      DATA LTRYYY,LTRNNN/1HY,1HN/
C     LOWER CASE LETTERS Y AND N FOR YES AND NO
      DATA LWRYYY,LWRNNN/1Hy,1Hn/
      WRITE(JTTY,1)
    1 FORMAT(42H The FNDFIL program locates files in the b,
     138Hackup tapes of public and private disk/8H packs. ,
     249H To find which files have been saved, and to iden,
     314Htify the tapes/31H containing these files, type w,
     449Hhat is known about the names of the files and the/
     549H [project,programmer] numbers of the directories ,
     628Hin which these were located./17H ? can appear in ,
     749Ha name where any single character is allowed.  * ,
     813Hcan appear if/32H the rest of the name or number ,
     945Hcan be anything.  Giving *.* as the file name)
      WRITE(JTTY,2)
    2 FORMAT(42H would report about all files.  Include th,
     138He pack name followed by : if the files/8H were on,
     249H a private pack.  The file specifications can be ,
     324Hentered on as many lines/21H as desired.  Type /G,
     442HO on the final line to perform the search.//3H Th,
     549He following switches can be included with the lis,
     611Ht of files:/34H /MMM:YY to specify the month and ,
     743Hyear when the files were saved.  MMM is the/9X,
     849Hfirst 3 letters of the month name and YY is the r,
     920Hight 2 digits of the)
      WRITE(JTTY,3)
    3 FORMAT(9X,39Hyear number.  If 2 date switches are gi,
     131Hven, then all dates between are/9X,11Halso search,
     249Hed.  /SKIM and /MMM:YY switches can be issued con,
     310Hcurrently./35H /CANCEL to cancel all specificatio,
     416Hns given so far./29H /EXIT   to stop the program./
     545H /GO     to cause the search to be performed./1H ,
     649H/LIST   to list the specifications which have bee,
     717Hn entered so far./28H /OLD    to include files on,
     846H monthly tapes which have since been recycled.)
      WRITE(JTTY,4)
    4 FORMAT(42H /REPEAT to enter again the same list of s,
     137Hpecifications searched for last time./9H /SKIM   ,
     249Hto search for files on the current set of daily a,
     321Hnd weekly skim tapes./9X,21H/MMM:YY and /SKIM swi,
     433Htches can be issued concurrently.)
   90 WRITE(JTTY,91)
   91 FORMAT(' Do you want complete instructions (Y or N)? ',$)
      READ(JTTY,92)LTRANS
   92 FORMAT(1A1)
      IF(LTRANS.EQ.LTRNNN)GO TO 100
      IF(LTRANS.EQ.LWRNNN)GO TO 100
      IF(LTRANS.EQ.LTRYYY)GO TO 93
      IF(LTRANS.EQ.LWRYYY)GO TO 93
      WRITE(JTTY,5)
    5 FORMAT(42H Type Y if you want additional information,
     11H,/3X,37Hor N to continue running the program.)
      GO TO 90
   93 CONTINUE
      WRITE(JTTY,6)
    6 FORMAT(42H The FNDFIL program locates files in the b,
     138Hackup tapes of public and private disk/8H packs. ,
     249H The directories of the public packs for the most,
     322H recent years are kept/23H on public structures a,
     449Hnd are immediately available.  The ARCH pack must,
     53H be/43H mounted if the directories of the public p,
     632Hacks for earlier years are to be/13H searched.  T,
     749Hhe directories of the private packs are only avai,
     818Hlable for the last/7H month./)
      WRITE(JTTY,7)
    7 FORMAT(42H To locate specific files, you must supply,
     136H to this program everything which is/9H known ab,
     249Hout the files, including names, directories and t,
     323Hhe dates when the files/22H existed.  This inform,
     449Hation can either be typed directly into the progr,
     510Ham, or can/35H be read from a file if the name of,
     639H this file is typed with an at sign (@)/7H charac,
     749Hter.  The output will be written onto the user's ,
     824Hterminal unless the list)
      WRITE(JTTY,8)
    8 FORMAT(42H of specifications is preceded by the dest,
     139Hination file name and an equal sign (=)/7H charac,
     24Hter.//41H An asterisk (*) character in place of th,
     331He file name, the extension or a/14H component of ,
     449Hthe directory can be matched by any sequence of c,
     513Hharacters.  A/32H question mark (?) character can,
     647H be used in the file name, the extension or the/
     749H directory where any character can appear.  A fil,
     832He name with neither a period nor)
      WRITE(JTTY,9)
    9 FORMAT(42H an extension can have any extension.  The,
     131H period must be included if the/14H extension mus,
     244Ht be blank or if the extension is specified.//1H ,
     349HA directory specification must be enclosed in squ,
     431Hare brackets.  Only directories/14H which have th,
     549He same user (programmer) number as is running the,
     615H program can be/30H specified.  At most one level,
     749H of sub-file-directory (SFD) can be included in t,
     82Hhe/44H directory specification.  If no SFD is spec,
     928Hified, then all SFDs will be/10H searched./)
      WRITE(JTTY,10)
   10 FORMAT(42H /MMM:YY or /MMMYY (where MMM is a 3 lette,
     136Hr month abbreviation, such as JAN or/9H FEB, and,
     249H where YY is the right 2 digits of the year) can ,
     323Hbe typed to specify the/22H date of the earliest ,
     449Hor latest monthly directory of the public structu,
     59Hres which/37H is to be searched.  If only a single,
     642H date is specified, then only that month's/4H dir,
     749Hectory is searched.  If 2 dates are specified, th,
     828Hen this defines the range of)
      WRITE(JTTY,11)
   11 FORMAT(42H dates to be searched, and the most recent,
     138H is searched first.  Specifying a date/8H or the ,
     249H/SKIM switch implies that the directories of the ,
     324Hpublic structures are to/21H be searched.  Do not,
     449H type a date if the directory of a private pack i,
     57Hs to be/39H searched, just type the name of the pa,
     636Hck without a slash but followed by a/7H colon.//
     737H The following switches can be typed./9H /CANCEL ,
     842Hto cancel all specifications given so far./4H /EX,
     925HIT   to stop the program.)
      WRITE(JTTY,12)
   12 FORMAT(42H /GO     must be typed after all specifica,
     136Htions have been entered correctly to/9X,7Hcause t,
     226Hhe search to be performed./19H /LIST   to list th,
     349He specifications which have been entered so far. ,
     413H An incorrect/9X,29Hitem can be cancelled if it i,
     534Hs reentered in its incorrect form./11H /OLD    to,
     649H cause files which were on monthly tapes which ha,
     713Hve since been/9X,29Hrecycled to be included.  The,
     842H directories of sets of tapes which are no)
      WRITE(JTTY,13)
   13 FORMAT(9X,39Hlonger available are not searched unles,
     128Hs the /OLD switch is issued./17H /REPEAT to enter,
     249H again the same list of specifications searched f,
     313Hor last time./9X,29HThe list can be modified, and,
     424H then /GO can be issued./21H /SKIM   to search fo,
     549Hr files in the directories of the current set of ,
     69Hdaily and/9X,34Hweekly skim tapes.  A date or date,
     734H range can also be specified using/9X,9Hswitches ,
     849Hof the form /MMM:YY to search for the same files ,
     914HOn the monthly)
      WRITE(JTTY,14)
   14 FORMAT(9X,37Hdirectories of the public structures.//
     149H The following set of commands could be issued to,
     231H this program to find all files/14H which have na,
     349Hmes which include the letters ABC, or which have ,
     418Hthe ABC extension,/27H in the directory [1,4] or ,
     549Hany of the directories of programmer 56 from Dece,
     64Hmber/42H 1978 through May 1979.  The specification,
     732Hs of the matching files would be/13H written into,
     849H the file named OUTPUT.  Although the output file,
     917H, if stated, must)
      WRITE(JTTY,15)
   15 FORMAT(42H appear first, and the /GO must appear las,
     138Ht, the directories, dates and files to/8H be sear,
     249Hched could have been entered in any order and on ,
     320Hany number of lines.//6X,21HOUTPUT=[1,4][*,56]ABC,
     426H*,?ABC*,??ABC*,???ABC,.ABC/6X,16H/DEC78/MAY:79/GO)
  100 RETURN
      END

